Bug 1160844 (lucene++) - Review Request: lucene++ - A high-performance, full-featured text search engine written in C++
Summary: Review Request: lucene++ - A high-performance, full-featured text search engi...
Keywords:
Status: CLOSED RAWHIDE
Alias: lucene++
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lukáš Tinkl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1154274
TreeView+ depends on / blocked
 
Reported: 2014-11-05 19:05 UTC by Rex Dieter
Modified: 2015-07-13 17:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-18 16:41:40 UTC
Type: ---
ltinkl: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2014-11-05 19:05:19 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/lucene++/lucene++.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/lucene++/lucene++-3.0.6-1.fc20.src.rpm
Description:
An up to date C++ port of the popular Java Lucene library, a high-performance, full-featured text search engine.

Fedora Account System Username: rdieter

Comment 1 Rex Dieter 2014-11-06 03:40:58 UTC
Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=8048700

Comment 2 Lukáš Tinkl 2014-11-18 13:35:49 UTC
Only a minor problem/confusion with the licensing:
- the package also comes with GPL licenses, the .spec doesn't mention it

Full report below:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated", "zlib/libpng". 1271 files have unknown license. Detailed
     output of licensecheck in
     /home/ltinkl/tmp/1160844-lucene++/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[?]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: lucene++-3.0.6-1.fc20.x86_64.rpm
          lucene++-devel-3.0.6-1.fc20.x86_64.rpm
          lucene++-3.0.6-1.fc20.src.rpm
lucene++.x86_64: E: description-line-too-long C An up to date C++ port of the popular Java Lucene library, a high-performance, full-featured text search engine.
lucene++-devel.x86_64: W: spelling-error Summary(en_US) lucene -> Luce
lucene++-devel.x86_64: W: spelling-error %description -l en_US lucene -> Luce
lucene++-devel.x86_64: E: description-line-too-long C Development files for lucene++, a high-performance, full-featured text search engine written in C++
lucene++-devel.x86_64: W: only-non-binary-in-usr-lib
lucene++-devel.x86_64: W: no-documentation
lucene++.src: E: description-line-too-long C An up to date C++ port of the popular Java Lucene library, a high-performance, full-featured text search engine.
3 packages and 0 specfiles checked; 3 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint lucene++ lucene++-devel
lucene++.x86_64: E: description-line-too-long C An up to date C++ port of the popular Java Lucene library, a high-performance, full-featured text search engine.
lucene++.x86_64: W: unused-direct-shlib-dependency /usr/lib64/liblucene++.so.3.0.6 /lib64/libboost_date_time.so.1.54.0
lucene++.x86_64: W: unused-direct-shlib-dependency /usr/lib64/liblucene++-contrib.so.3.0.6 /lib64/libboost_date_time.so.1.54.0
lucene++.x86_64: W: unused-direct-shlib-dependency /usr/lib64/liblucene++-contrib.so.3.0.6 /lib64/libboost_filesystem.so.1.54.0
lucene++.x86_64: W: unused-direct-shlib-dependency /usr/lib64/liblucene++-contrib.so.3.0.6 /lib64/libboost_iostreams.so.1.54.0
lucene++.x86_64: W: unused-direct-shlib-dependency /usr/lib64/liblucene++-contrib.so.3.0.6 /lib64/libboost_regex.so.1.54.0
lucene++.x86_64: W: unused-direct-shlib-dependency /usr/lib64/liblucene++-contrib.so.3.0.6 /lib64/libboost_thread.so.1.54.0
lucene++-devel.x86_64: W: spelling-error Summary(en_US) lucene -> Luce
lucene++-devel.x86_64: W: spelling-error %description -l en_US lucene -> Luce
lucene++-devel.x86_64: E: description-line-too-long C Development files for lucene++, a high-performance, full-featured text search engine written in C++
lucene++-devel.x86_64: W: only-non-binary-in-usr-lib
lucene++-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 2 errors, 10 warnings.
# echo 'rpmlint-done:'



Requires
--------
lucene++ (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    ld-linux-x86-64.so.2()(64bit)
    libboost_date_time.so.1.54.0()(64bit)
    libboost_filesystem.so.1.54.0()(64bit)
    libboost_iostreams.so.1.54.0()(64bit)
    libboost_regex.so.1.54.0()(64bit)
    libboost_system.so.1.54.0()(64bit)
    libboost_thread.so.1.54.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    liblucene++.so.0()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

lucene++-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    liblucene++-contrib.so.0()(64bit)
    liblucene++.so.0()(64bit)
    lucene++(x86-64)
    pkgconfig(liblucene++)



Provides
--------
lucene++:
    liblucene++-contrib.so.0()(64bit)
    liblucene++.so.0()(64bit)
    lucene++
    lucene++(x86-64)

lucene++-devel:
    lucene++-devel
    lucene++-devel(x86-64)
    pkgconfig(liblucene++)
    pkgconfig(liblucene++-contrib)



Source checksums
----------------
https://github.com/luceneplusplus/LucenePlusPlus/archive/rel_3.0.6.tar.gz#/lucene++-3.0.6.tar.gz :
  CHECKSUM(SHA256) this package     : 3e7092a4935e0d1ad5c6d7ac8f3c6ed2f53e51321237ce83744bbf02e0d61519
  CHECKSUM(SHA256) upstream package : 3e7092a4935e0d1ad5c6d7ac8f3c6ed2f53e51321237ce83744bbf02e0d61519


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/bin/fedora-review -b 1160844
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Rex Dieter 2014-11-18 13:59:18 UTC
I purposely didn't include GPL.license, mostly because licensecheck found only LGPL and ASL licensed source files (and no GPL ones).

Did I overlook something?

Was that the only review blocker?  (I think so, but please highlight other stuff in case I missed anything)

Comment 4 Lukáš Tinkl 2014-11-18 14:08:03 UTC
Yup, that was the only thing, thanks for clarification

Comment 5 Rex Dieter 2014-11-18 14:16:52 UTC
Thanks.

New Package SCM Request
=======================
Package Name: lucene++
Short Description: A high-performance, full-featured text search engine written in C++
Upstream URL: https://github.com/luceneplusplus/LucenePlusPlus
Owners: rdieter
Branches: f19 f20 f21
InitialCC:

Comment 6 Gwyn Ciesla 2014-11-18 16:36:44 UTC
Git done (by process-git-requests).

Comment 7 Rex Dieter 2014-11-18 16:41:40 UTC
imported.


Note You need to log in before you can comment on or make changes to this bug.